package com.jpsoft.shinestar.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.jpsoft.shinestar.modules.sys.entity.SysLog;

import java.util.List;
import java.util.Map;

public interface SysLogService {
	SysLog get(Long id);
	boolean exist(Long id);
	int insert(SysLog model);
	int update(SysLog model);
	int delete(Long id);
	List<SysLog> list();
	Page<SysLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}